{ ... }:
let
    pkgs = import <nixpkgs> {};
    inherit (pkgs) stdenv fetchurl autoPatchelfHook;
in {
    MultiMC = stdenv.mkDerivation rec {
        pname = "MultiMC";
        version = "develop";
        
        src = fetchurl {
            url = "https://files.multimc.org/downloads/mmc-develop-lin64.tar.gz";
            sha256 = "c70c9b8d152d33d2f64d91109939a2f21f9717cf0d16e316c796443273141e15";
        };

        nativeBuildInputs = with pkgs; [ autoPatchelfHook qt5.wrapQtAppsHook ];

        installPhase = ''
            cp -r . $out
            echo "#!/bin/sh
            $out/MultiMC -d ~/.multimc" > $out/bin/MultiMC-run
            chmod 555 $out/bin/MultiMC-run
            install -D ${./MultiMC.desktop} -t $out/share/applications
        '';
    };
}
